org.eclipse.cdt.core.dom.ast

## Interface IASTFunctionStyleMacroParameter

All Superinterfaces:
  IASTNode

    public interface IASTFunctionStyleMacroParameter
    extends IASTNode

This interface represents the name of a function style macro parameter. This is not an IASTName, as there are not any bindings for

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`IASTNode.CopyStyle`

### Field Summary

Fields
`static IASTFunctionStyleMacroParameter[]` `EMPTY_PARAMETER_ARRAY` Constant `EMPTY_PARAMETER_ARRAY` is used to return anempty array.

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`EMPTY_NODE_ARRAY`

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getParameter()` Get the parameter name.
`void` `setParameter(java.lang.String value)` Set the parameter name.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`accept, contains, copy, copy, getChildren, getContainingFilename, getFileLocation, getLeadingSyntax, getNodeLocations, getOriginalNode, getParent, getPropertyInParent, getRawSignature, getSyntax, getTrailingSyntax, getTranslationUnit, isActive, isFrozen, isPartOfTranslationUnitFile, setParent, setPropertyInParent`

### Field Detail

#### EMPTY_PARAMETER_ARRAY

    static final IASTFunctionStyleMacroParameter[] EMPTY_PARAMETER_ARRAY

Constant `EMPTY_PARAMETER_ARRAY` is used to return anempty array.

### Method Detail

#### getParameter

    java.lang.String getParameter()

Get the parameter name.

Returns:
  String name

#### setParameter

    void setParameter(java.lang.String value)

Set the parameter name.

Parameters:
  `value` - String